changeset 7146:266324983681

merge with crew
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Sat, 18 Oct 2008 23:20:23 +0200
parents 6f4a253f2a64 (diff) 2bbdae4f39d1 (current diff)
children 94cf0d1f48a3 7fdf7a0a41b7
files
diffstat 4 files changed, 63 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/hgext/inotify/client.py	Sat Oct 18 13:22:46 2008 -0700
+++ b/hgext/inotify/client.py	Sat Oct 18 23:20:23 2008 +0200
@@ -29,7 +29,7 @@
         states = 'almrx!'
         if ignored:
             raise ValueError('this is insanity')
-        if clean: states += 'n'
+        if clean: states += 'c'
         if unknown: states += '?'
         yield states
 
--- a/tests/run-tests.py	Sat Oct 18 13:22:46 2008 -0700
+++ b/tests/run-tests.py	Sat Oct 18 23:20:23 2008 +0200
@@ -346,7 +346,9 @@
         if os.name == 'nt':
             return skip("shell script")
         # do not try to run non-executable programs
-        if not os.access(testpath, os.X_OK):
+        if not os.path.exists(testpath):
+            return fail("does not exist")
+        elif not os.access(testpath, os.X_OK):
             return skip("not executable")
         cmd = '"%s"' % testpath
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify	Sat Oct 18 23:20:23 2008 +0200
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" inotify || exit 80
+
+hg init
+
+touch a b c d e
+mkdir dir
+mkdir dir/bar
+touch dir/x dir/y dir/bar/foo
+
+hg ci -Am m
+
+echo "[extensions]" >> $HGRCPATH
+echo "inotify=" >> $HGRCPATH
+
+echo % inserve
+hg inserve -d --pid-file=hg.pid
+cat hg.pid >> "$DAEMON_PIDS"
+
+# let the daemon finish its stuff
+sleep 1
+# issue907
+hg status
+echo % clean
+hg status -c
+echo % all
+hg status -A
+
+kill `cat hg.pid`
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify.out	Sat Oct 18 23:20:23 2008 +0200
@@ -0,0 +1,29 @@
+adding a
+adding b
+adding c
+adding d
+adding dir/bar/foo
+adding dir/x
+adding dir/y
+adding e
+% inserve
+? hg.pid
+% clean
+C a
+C b
+C c
+C d
+C dir/bar/foo
+C dir/x
+C dir/y
+C e
+% all
+? hg.pid
+C a
+C b
+C c
+C d
+C dir/bar/foo
+C dir/x
+C dir/y
+C e